#
# Sensus Consulting Ltd, Copyright (c) 1997-1998
# Matt Newman <matt@sensus.org>
#
# Automatticaly creates tk++ class definitions for 
# standard Tk widgets. The special thing to note about these
# classes is that the bindings have been modified in such a
# way that all the standard class bindings fire against the
# tk++ object, not the underlying widget.
#
# It makes ot very easy to subclass the standard widgets to
# make minor additions or changes.
#
package require tk++

proc tk++::Entry {} {}
tk++::mkClass tk++::Entry entry

proc tk++::Radiobutton {} {}
tk++::mkClass tk++::Radiobutton radiobutton

proc tk++::Checkbutton {} {}
tk++::mkClass tk++::Checkbutton checkbutton

proc tk++::Label {} {}
tk++::mkClass tk++::Label label

proc tk++::Button {} {}
tk++::mkClass tk++::Button button

proc tk++::Menubutton {} {}
tk++::mkClass tk++::Menubutton menubutton

proc tk++::Canvas {} {}
tk++::mkClass tk++::Canvas canvas

proc tk++::Text {} {}
tk++::mkClass tk++::Text text

proc tk++::Message {} {}
tk++::mkClass tk++::Message message

proc tk++::Listbox {} {}
tk++::mkClass tk++::Listbox listbox

proc tk++::Scale {} {}
tk++::mkClass tk++::Scale scale

